Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Ubuntu 18.04 задействовать несколько видеокарт для Cad подобных систем  (Прочитано 353 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Мих1966

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Стоит виртуалка на ESXi6.5 ubuntu 18.04, с пробросанными видюхами.
Хочу на ней использовать cad подобные систему.
При запуске Bricscad 18, после выбора проекта вылетает.
При запуске DraftSight 2018 for Ubuntu (beta), всё работает, только в окне проекта ничего не показывает.
Пробовал эти же проги устанавливать на ubuntu 16.04 тоже самое.
Как я понимаю, они не могу задействовать аппаратный GPU. В какую сторону копать?

uname -a
Linux gpu 4.15.0-15-generic #16-Ubuntu SMP Wed Apr 4 13:58:14 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

inxi -Gxx
Graphics:  Card-1: VMware SVGA II Adapter bus-ID: 00:0f.0 chip-ID: 15ad:0405
           Card-2: Intel HD Graphics 630 bus-ID: 03:00.0 chip-ID: 8086:5912
           Card-3: NVIDIA GT215 [GeForce GT 240]
           bus-ID: 1b:00.0 chip-ID: 10de:0ca3
           Display Server: x11 (X.Org 1.19.6 )
           drivers: vmware (unloaded: fbdev,vesa) FAILED: modesetting
           Resolution: 765x574@59.99hz
           OpenGL: renderer: N/A version: N/A Direct Render: N/A

prime-select querty
nvidia
glxgears
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  23
  Current serial number in output stream:  24

Оффлайн dj--alex

  • Старожил
  • *
  • Сообщений: 3202
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
вы не на той видеокарте запускаете программу

вам надо на Нвидия и вам нужен проприетарный драйвер  nvidia-375 ili 396
соответствующий вашей карте.

а вы скорее всего запускаете через Intel судя по всему или без драйвера вообще.

Если у вас ноутбук вам ещё понадобится nvidia-prime
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
http://forum.ubuntu.ru/index.php?topic=199897.0

 

Страница сгенерирована за 0.052 секунд. Запросов: 20.